Loading...
Searching...
No Matches
RemoteLogger.h File Reference

A proxy connection class with logging server, assa-logd. More...

`#include "assa/ServiceHandler.h"`
`#include "assa/IPv4Socket.h"`
`#include "assa/Logger_Impl.h"`

Go to the source code of this file.

## Classes

class | ASSA::RemoteLogger

## Namespaces

namespace | ASSA

## Detailed Description

A proxy connection class with logging server, assa-logd.

Application has no reconnection logic. Connection to the server is one-shot deal that happens when this class is instantated;

Definition in file RemoteLogger.h.